.banner {
  height: 600px;
}
.banner .app-container {
  height: 100%;
}
.banner__wrapper {
  height: 100%;
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  border-radius: 24px;
  padding: 0 95px;
}
.banner__wrapper .bg-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.banner-gradient {
  background: linear-gradient(180deg, #3e8ad1 0%, rgba(62, 138, 209, 0) 100%);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.banner__text {
  display: flex;
  flex-direction: column;
  gap: 24px;
  position: relative;
}
.banner__text h1 {
  font-family: e-Ukraine;
  font-weight: 500;
  font-style: Medium;
  font-size: 52px;
  leading-trim: NONE;
  line-height: 64px;
  letter-spacing: 0px;
  vertical-align: middle;
  color: white;
  max-width: 577px;
}
.banner__text h2 {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 20px;
  leading-trim: NONE;
  line-height: 28px;
  letter-spacing: 0%;
  vertical-align: middle;
  color: white;
  max-width: 700px;
}

.banner-btn {
  cursor: pointer;
  background: #3a8bce;
  border: 2px solid #3a8bce;
  padding: 16px 31px;
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 14px;
  leading-trim: NONE;
  line-height: 20px;
  width: fit-content;
  letter-spacing: -0.32px;
  vertical-align: middle;
  color: white;
  border-radius: 200px;
  transition: all 0.3s ease-in-out;
}
.banner-btn:hover {
  background: white;
  color: #3a8bce; 
}

@media screen and (max-width: 1024px) {
  .banner {
    height: 600px;
  }
  .banner .app-container {
    height: 100%;
    width: 100%;
    max-width: 100%;
  }
  .banner__wrapper {
    height: 100%;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    border-radius: 0;
    padding: 0 24px;
  }

  .banner__text {
    gap: 16px;
  }
  .banner__text h1 {
    font-size: 32px;
    line-height: 36px;
    max-width: 100%;
  }
  .banner__text h2 {
    font-size: 18px;
    line-height: 22px;
    max-width: 100%;
  }

  .banner-btn {
    padding: 14px;
  }
}
